# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CATALOGS = @CATALOGS@
CATOBJEXT = @CATOBJEXT@
CC = @CC@
CPP = @CPP@
CRYPT_LIB = @CRYPT_LIB@
DATADIRNAME = @DATADIRNAME@
GENCAT = @GENCAT@
GETLOADAVG_LIBS = @GETLOADAVG_LIBS@
GMOFILES = @GMOFILES@
GMSGFMT = @GMSGFMT@
GNU_PACKAGE = @GNU_PACKAGE@
GT_NO = @GT_NO@
GT_YES = @GT_YES@
INSTOBJEXT = @INSTOBJEXT@
INTLDEPS = @INTLDEPS@
INTLLIBS = @INTLLIBS@
INTLOBJS = @INTLOBJS@
KMEM_GROUP = @KMEM_GROUP@
LIBOBJS = @LIBOBJS@
MAINT = @MAINT@
MAN = @MAN@
MKINSTALLDIRS = @MKINSTALLDIRS@
MSGFMT = @MSGFMT@
NEED_SETGID = @NEED_SETGID@
OPTIONAL_BIN_PROGS = @OPTIONAL_BIN_PROGS@
OPTIONAL_BIN_ZCRIPTS = @OPTIONAL_BIN_ZCRIPTS@
PACKAGE = @PACKAGE@
PERL = @PERL@
POFILES = @POFILES@
POSUB = @POSUB@
POW_LIBM = @POW_LIBM@
RANLIB = @RANLIB@
SEQ_LIBM = @SEQ_LIBM@
SQRT_LIBM = @SQRT_LIBM@
U = @U@
USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
YACC = @YACC@

AUTOMAKE_OPTIONS = ansi2knr

EXTRAdir = $(bindir)
EXTRA_PROGRAMS = chroot nice stty uname uptime
EXTRA_SCRIPTS = nohup

bin_SCRIPTS = false groups true @OPTIONAL_BIN_ZCRIPTS@

bin_PROGRAMS = basename date dirname echo env expr factor \
  hostname id logname pathchk printenv printf pwd seq sleep su tee test \
  tty users who whoami yes @OPTIONAL_BIN_PROGS@

datadir = $(prefix)/@DATADIRNAME@
localedir = $(datadir)/locale

noinst_HEADERS = system.h
EXTRA_DIST = ansi2knr.1 ansi2knr.c \
  groups.sh nohup.sh false.sh true.sh who-users.c
DISTCLEANFILES = $(SCRIPTS)
MOSTLYCLEANFILES = who.c users.c uptime.c

INCLUDES = -I.. -I$(srcdir) -I$(top_srcdir)/lib -I../intl
DEFS = -DLOCALEDIR=\"$(localedir)\" @DEFS@
LDADD = @INTLLIBS@ ../lib/libsu.a

su_LDADD = $(LDADD) @CRYPT_LIB@
su_DEPENDENCIES = $(LDADD)

factor_LDADD = $(LDADD) @SQRT_LIBM@
factor_DEPENDENCIES = $(LDADD)

printf_LDADD = $(LDADD) @POW_LIBM@
printf_DEPENDENCIES = $(LDADD)

seq_LDADD = $(LDADD) @SEQ_LIBM@
seq_DEPENDENCIES = $(LDADD)

uptime_LDADD = $(LDADD) @GETLOADAVG_LIBS@
uptime_DEPENDENCIES = $(LDADD)

SUFFIXES = .sh

BUILT_SOURCES = who.c users.c uptime.c

installed_su = $(bindir)/`echo su|sed '$(transform)'`
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)

CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
ANSI2KNR = @ANSI2KNR@
chroot_SOURCES = chroot.c
chroot_OBJECTS =  chroot$U.o
chroot_LDADD = $(LDADD)
chroot_DEPENDENCIES =  ../lib/libsu.a
chroot_LDFLAGS = 
nice_SOURCES = nice.c
nice_OBJECTS =  nice$U.o
nice_LDADD = $(LDADD)
nice_DEPENDENCIES =  ../lib/libsu.a
nice_LDFLAGS = 
stty_SOURCES = stty.c
stty_OBJECTS =  stty$U.o
stty_LDADD = $(LDADD)
stty_DEPENDENCIES =  ../lib/libsu.a
stty_LDFLAGS = 
uname_SOURCES = uname.c
uname_OBJECTS =  uname$U.o
uname_LDADD = $(LDADD)
uname_DEPENDENCIES =  ../lib/libsu.a
uname_LDFLAGS = 
uptime_SOURCES = uptime.c
uptime_OBJECTS =  uptime$U.o
uptime_LDFLAGS = 
basename_SOURCES = basename.c
basename_OBJECTS =  basename$U.o
basename_LDADD = $(LDADD)
basename_DEPENDENCIES =  ../lib/libsu.a
basename_LDFLAGS = 
date_SOURCES = date.c
date_OBJECTS =  date$U.o
date_LDADD = $(LDADD)
date_DEPENDENCIES =  ../lib/libsu.a
date_LDFLAGS = 
dirname_SOURCES = dirname.c
dirname_OBJECTS =  dirname$U.o
dirname_LDADD = $(LDADD)
dirname_DEPENDENCIES =  ../lib/libsu.a
dirname_LDFLAGS = 
echo_SOURCES = echo.c
echo_OBJECTS =  echo$U.o
echo_LDADD = $(LDADD)
echo_DEPENDENCIES =  ../lib/libsu.a
echo_LDFLAGS = 
env_SOURCES = env.c
env_OBJECTS =  env$U.o
env_LDADD = $(LDADD)
env_DEPENDENCIES =  ../lib/libsu.a
env_LDFLAGS = 
expr_SOURCES = expr.c
expr_OBJECTS =  expr$U.o
expr_LDADD = $(LDADD)
expr_DEPENDENCIES =  ../lib/libsu.a
expr_LDFLAGS = 
factor_SOURCES = factor.c
factor_OBJECTS =  factor$U.o
factor_LDFLAGS = 
hostname_SOURCES = hostname.c
hostname_OBJECTS =  hostname$U.o
hostname_LDADD = $(LDADD)
hostname_DEPENDENCIES =  ../lib/libsu.a
hostname_LDFLAGS = 
id_SOURCES = id.c
id_OBJECTS =  id$U.o
id_LDADD = $(LDADD)
id_DEPENDENCIES =  ../lib/libsu.a
id_LDFLAGS = 
logname_SOURCES = logname.c
logname_OBJECTS =  logname$U.o
logname_LDADD = $(LDADD)
logname_DEPENDENCIES =  ../lib/libsu.a
logname_LDFLAGS = 
pathchk_SOURCES = pathchk.c
pathchk_OBJECTS =  pathchk$U.o
pathchk_LDADD = $(LDADD)
pathchk_DEPENDENCIES =  ../lib/libsu.a
pathchk_LDFLAGS = 
printenv_SOURCES = printenv.c
printenv_OBJECTS =  printenv$U.o
printenv_LDADD = $(LDADD)
printenv_DEPENDENCIES =  ../lib/libsu.a
printenv_LDFLAGS = 
printf_SOURCES = printf.c
printf_OBJECTS =  printf$U.o
printf_LDFLAGS = 
pwd_SOURCES = pwd.c
pwd_OBJECTS =  pwd$U.o
pwd_LDADD = $(LDADD)
pwd_DEPENDENCIES =  ../lib/libsu.a
pwd_LDFLAGS = 
seq_SOURCES = seq.c
seq_OBJECTS =  seq$U.o
seq_LDFLAGS = 
sleep_SOURCES = sleep.c
sleep_OBJECTS =  sleep$U.o
sleep_LDADD = $(LDADD)
sleep_DEPENDENCIES =  ../lib/libsu.a
sleep_LDFLAGS = 
su_SOURCES = su.c
su_OBJECTS =  su$U.o
su_LDFLAGS = 
tee_SOURCES = tee.c
tee_OBJECTS =  tee$U.o
tee_LDADD = $(LDADD)
tee_DEPENDENCIES =  ../lib/libsu.a
tee_LDFLAGS = 
test_SOURCES = test.c
test_OBJECTS =  test$U.o
test_LDADD = $(LDADD)
test_DEPENDENCIES =  ../lib/libsu.a
test_LDFLAGS = 
tty_SOURCES = tty.c
tty_OBJECTS =  tty$U.o
tty_LDADD = $(LDADD)
tty_DEPENDENCIES =  ../lib/libsu.a
tty_LDFLAGS = 
users_SOURCES = users.c
users_OBJECTS =  users$U.o
users_LDADD = $(LDADD)
users_DEPENDENCIES =  ../lib/libsu.a
users_LDFLAGS = 
who_SOURCES = who.c
who_OBJECTS =  who$U.o
who_LDADD = $(LDADD)
who_DEPENDENCIES =  ../lib/libsu.a
who_LDFLAGS = 
whoami_SOURCES = whoami.c
whoami_OBJECTS =  whoami$U.o
whoami_LDADD = $(LDADD)
whoami_DEPENDENCIES =  ../lib/libsu.a
whoami_LDFLAGS = 
yes_SOURCES = yes.c
yes_OBJECTS =  yes$U.o
yes_LDADD = $(LDADD)
yes_DEPENDENCIES =  ../lib/libsu.a
yes_LDFLAGS = 
SCRIPTS =  $(bin_SCRIPTS)

CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in ansi2knr.1 ansi2knr.c


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
DEP_FILES =  .deps/basename.P .deps/chroot.P .deps/date.P \
.deps/dirname.P .deps/echo.P .deps/env.P .deps/expr.P .deps/factor.P \
.deps/hostname.P .deps/id.P .deps/logname.P .deps/nice.P \
.deps/pathchk.P .deps/printenv.P .deps/printf.P .deps/pwd.P .deps/seq.P \
.deps/sleep.P .deps/stty.P .deps/su.P .deps/tee.P .deps/test.P \
.deps/tty.P .deps/uname.P .deps/uptime .deps/uptime.P .deps/users \
.deps/users.P .deps/who .deps/who.P .deps/whoami.P .deps/yes.P
SOURCES = chroot.c nice.c stty.c uname.c uptime.c basename.c date.c dirname.c echo.c env.c expr.c factor.c hostname.c id.c logname.c pathchk.c printenv.c printf.c pwd.c seq.c sleep.c su.c tee.c test.c tty.c users.c who.c whoami.c yes.c
OBJECTS = chroot$U.o nice$U.o stty$U.o uname$U.o uptime$U.o basename$U.o date$U.o dirname$U.o echo$U.o env$U.o expr$U.o factor$U.o hostname$U.o id$U.o logname$U.o pathchk$U.o printenv$U.o printf$U.o pwd$U.o seq$U.o sleep$U.o su$U.o tee$U.o test$U.o tty$U.o users$U.o who$U.o whoami$U.o yes$U.o

all: Makefile $(ANSI2KNR) $(PROGRAMS) $(SCRIPTS) $(HEADERS)

.SUFFIXES:
.SUFFIXES: .S .c .o .s .sh
$(srcdir)/Makefile.in: @MAINT@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

mostlyclean-krextra:

clean-krextra:
	-rm -f ansi2knr

distclean-krextra:

maintainer-clean-krextra:
ansi2knr: ansi2knr.o
	$(LINK) ansi2knr.o $(LIBS)
ansi2knr.o: $(CONFIG_HEADER)


mostlyclean-kr:
	-rm -f *_.c

clean-kr:

distclean-kr:

maintainer-clean-kr:

chroot: $(chroot_OBJECTS) $(chroot_DEPENDENCIES)
	@rm -f chroot
	$(LINK) $(chroot_LDFLAGS) $(chroot_OBJECTS) $(chroot_LDADD) $(LIBS)

nice: $(nice_OBJECTS) $(nice_DEPENDENCIES)
	@rm -f nice
	$(LINK) $(nice_LDFLAGS) $(nice_OBJECTS) $(nice_LDADD) $(LIBS)

stty: $(stty_OBJECTS) $(stty_DEPENDENCIES)
	@rm -f stty
	$(LINK) $(stty_LDFLAGS) $(stty_OBJECTS) $(stty_LDADD) $(LIBS)

uname: $(uname_OBJECTS) $(uname_DEPENDENCIES)
	@rm -f uname
	$(LINK) $(uname_LDFLAGS) $(uname_OBJECTS) $(uname_LDADD) $(LIBS)

uptime: $(uptime_OBJECTS) $(uptime_DEPENDENCIES)
	@rm -f uptime
	$(LINK) $(uptime_LDFLAGS) $(uptime_OBJECTS) $(uptime_LDADD) $(LIBS)

basename: $(basename_OBJECTS) $(basename_DEPENDENCIES)
	@rm -f basename
	$(LINK) $(basename_LDFLAGS) $(basename_OBJECTS) $(basename_LDADD) $(LIBS)

date: $(date_OBJECTS) $(date_DEPENDENCIES)
	@rm -f date
	$(LINK) $(date_LDFLAGS) $(date_OBJECTS) $(date_LDADD) $(LIBS)

dirname: $(dirname_OBJECTS) $(dirname_DEPENDENCIES)
	@rm -f dirname
	$(LINK) $(dirname_LDFLAGS) $(dirname_OBJECTS) $(dirname_LDADD) $(LIBS)

echo: $(echo_OBJECTS) $(echo_DEPENDENCIES)
	@rm -f echo
	$(LINK) $(echo_LDFLAGS) $(echo_OBJECTS) $(echo_LDADD) $(LIBS)

env: $(env_OBJECTS) $(env_DEPENDENCIES)
	@rm -f env
	$(LINK) $(env_LDFLAGS) $(env_OBJECTS) $(env_LDADD) $(LIBS)

expr: $(expr_OBJECTS) $(expr_DEPENDENCIES)
	@rm -f expr
	$(LINK) $(expr_LDFLAGS) $(expr_OBJECTS) $(expr_LDADD) $(LIBS)

factor: $(factor_OBJECTS) $(factor_DEPENDENCIES)
	@rm -f factor
	$(LINK) $(factor_LDFLAGS) $(factor_OBJECTS) $(factor_LDADD) $(LIBS)

hostname: $(hostname_OBJECTS) $(hostname_DEPENDENCIES)
	@rm -f hostname
	$(LINK) $(hostname_LDFLAGS) $(hostname_OBJECTS) $(hostname_LDADD) $(LIBS)

id: $(id_OBJECTS) $(id_DEPENDENCIES)
	@rm -f id
	$(LINK) $(id_LDFLAGS) $(id_OBJECTS) $(id_LDADD) $(LIBS)

logname: $(logname_OBJECTS) $(logname_DEPENDENCIES)
	@rm -f logname
	$(LINK) $(logname_LDFLAGS) $(logname_OBJECTS) $(logname_LDADD) $(LIBS)

pathchk: $(pathchk_OBJECTS) $(pathchk_DEPENDENCIES)
	@rm -f pathchk
	$(LINK) $(pathchk_LDFLAGS) $(pathchk_OBJECTS) $(pathchk_LDADD) $(LIBS)

printenv: $(printenv_OBJECTS) $(printenv_DEPENDENCIES)
	@rm -f printenv
	$(LINK) $(printenv_LDFLAGS) $(printenv_OBJECTS) $(printenv_LDADD) $(LIBS)

printf: $(printf_OBJECTS) $(printf_DEPENDENCIES)
	@rm -f printf
	$(LINK) $(printf_LDFLAGS) $(printf_OBJECTS) $(printf_LDADD) $(LIBS)

pwd: $(pwd_OBJECTS) $(pwd_DEPENDENCIES)
	@rm -f pwd
	$(LINK) $(pwd_LDFLAGS) $(pwd_OBJECTS) $(pwd_LDADD) $(LIBS)

seq: $(seq_OBJECTS) $(seq_DEPENDENCIES)
	@rm -f seq
	$(LINK) $(seq_LDFLAGS) $(seq_OBJECTS) $(seq_LDADD) $(LIBS)

sleep: $(sleep_OBJECTS) $(sleep_DEPENDENCIES)
	@rm -f sleep
	$(LINK) $(sleep_LDFLAGS) $(sleep_OBJECTS) $(sleep_LDADD) $(LIBS)

su: $(su_OBJECTS) $(su_DEPENDENCIES)
	@rm -f su
	$(LINK) $(su_LDFLAGS) $(su_OBJECTS) $(su_LDADD) $(LIBS)

tee: $(tee_OBJECTS) $(tee_DEPENDENCIES)
	@rm -f tee
	$(LINK) $(tee_LDFLAGS) $(tee_OBJECTS) $(tee_LDADD) $(LIBS)

test: $(test_OBJECTS) $(test_DEPENDENCIES)
	@rm -f test
	$(LINK) $(test_LDFLAGS) $(test_OBJECTS) $(test_LDADD) $(LIBS)

tty: $(tty_OBJECTS) $(tty_DEPENDENCIES)
	@rm -f tty
	$(LINK) $(tty_LDFLAGS) $(tty_OBJECTS) $(tty_LDADD) $(LIBS)

users: $(users_OBJECTS) $(users_DEPENDENCIES)
	@rm -f users
	$(LINK) $(users_LDFLAGS) $(users_OBJECTS) $(users_LDADD) $(LIBS)

who: $(who_OBJECTS) $(who_DEPENDENCIES)
	@rm -f who
	$(LINK) $(who_LDFLAGS) $(who_OBJECTS) $(who_LDADD) $(LIBS)

whoami: $(whoami_OBJECTS) $(whoami_DEPENDENCIES)
	@rm -f whoami
	$(LINK) $(whoami_LDFLAGS) $(whoami_OBJECTS) $(whoami_LDADD) $(LIBS)

yes: $(yes_OBJECTS) $(yes_DEPENDENCIES)
	@rm -f yes
	$(LINK) $(yes_LDFLAGS) $(yes_OBJECTS) $(yes_LDADD) $(LIBS)

install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_SCRIPTS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done
basename_.c: basename.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/basename.c; then echo $(srcdir)/basename.c; else echo basename.c; fi` | $(ANSI2KNR) basename_.c
chroot_.c: chroot.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/chroot.c; then echo $(srcdir)/chroot.c; else echo chroot.c; fi` | $(ANSI2KNR) chroot_.c
date_.c: date.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/date.c; then echo $(srcdir)/date.c; else echo date.c; fi` | $(ANSI2KNR) date_.c
dirname_.c: dirname.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/dirname.c; then echo $(srcdir)/dirname.c; else echo dirname.c; fi` | $(ANSI2KNR) dirname_.c
echo_.c: echo.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/echo.c; then echo $(srcdir)/echo.c; else echo echo.c; fi` | $(ANSI2KNR) echo_.c
env_.c: env.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/env.c; then echo $(srcdir)/env.c; else echo env.c; fi` | $(ANSI2KNR) env_.c
expr_.c: expr.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/expr.c; then echo $(srcdir)/expr.c; else echo expr.c; fi` | $(ANSI2KNR) expr_.c
factor_.c: factor.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/factor.c; then echo $(srcdir)/factor.c; else echo factor.c; fi` | $(ANSI2KNR) factor_.c
hostname_.c: hostname.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/hostname.c; then echo $(srcdir)/hostname.c; else echo hostname.c; fi` | $(ANSI2KNR) hostname_.c
id_.c: id.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/id.c; then echo $(srcdir)/id.c; else echo id.c; fi` | $(ANSI2KNR) id_.c
logname_.c: logname.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/logname.c; then echo $(srcdir)/logname.c; else echo logname.c; fi` | $(ANSI2KNR) logname_.c
nice_.c: nice.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/nice.c; then echo $(srcdir)/nice.c; else echo nice.c; fi` | $(ANSI2KNR) nice_.c
pathchk_.c: pathchk.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/pathchk.c; then echo $(srcdir)/pathchk.c; else echo pathchk.c; fi` | $(ANSI2KNR) pathchk_.c
printenv_.c: printenv.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/printenv.c; then echo $(srcdir)/printenv.c; else echo printenv.c; fi` | $(ANSI2KNR) printenv_.c
printf_.c: printf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/printf.c; then echo $(srcdir)/printf.c; else echo printf.c; fi` | $(ANSI2KNR) printf_.c
pwd_.c: pwd.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/pwd.c; then echo $(srcdir)/pwd.c; else echo pwd.c; fi` | $(ANSI2KNR) pwd_.c
seq_.c: seq.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/seq.c; then echo $(srcdir)/seq.c; else echo seq.c; fi` | $(ANSI2KNR) seq_.c
sleep_.c: sleep.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/sleep.c; then echo $(srcdir)/sleep.c; else echo sleep.c; fi` | $(ANSI2KNR) sleep_.c
stty_.c: stty.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/stty.c; then echo $(srcdir)/stty.c; else echo stty.c; fi` | $(ANSI2KNR) stty_.c
su_.c: su.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/su.c; then echo $(srcdir)/su.c; else echo su.c; fi` | $(ANSI2KNR) su_.c
tee_.c: tee.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/tee.c; then echo $(srcdir)/tee.c; else echo tee.c; fi` | $(ANSI2KNR) tee_.c
test_.c: test.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/test.c; then echo $(srcdir)/test.c; else echo test.c; fi` | $(ANSI2KNR) test_.c
tty_.c: tty.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/tty.c; then echo $(srcdir)/tty.c; else echo tty.c; fi` | $(ANSI2KNR) tty_.c
uname_.c: uname.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/uname.c; then echo $(srcdir)/uname.c; else echo uname.c; fi` | $(ANSI2KNR) uname_.c
uptime_.c: uptime.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/uptime.c; then echo $(srcdir)/uptime.c; else echo uptime.c; fi` | $(ANSI2KNR) uptime_.c
users_.c: users.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/users.c; then echo $(srcdir)/users.c; else echo users.c; fi` | $(ANSI2KNR) users_.c
who_.c: who.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/who.c; then echo $(srcdir)/who.c; else echo who.c; fi` | $(ANSI2KNR) who_.c
whoami_.c: whoami.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/whoami.c; then echo $(srcdir)/whoami.c; else echo whoami.c; fi` | $(ANSI2KNR) whoami_.c
yes_.c: yes.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(INCLUDES) $(CPPFLAGS) `if test -f $(srcdir)/yes.c; then echo $(srcdir)/yes.c; else echo yes.c; fi` | $(ANSI2KNR) yes_.c
basename_.o chroot_.o date_.o dirname_.o echo_.o env_.o expr_.o \
factor_.o hostname_.o id_.o logname_.o nice_.o pathchk_.o printenv_.o \
printf_.o pwd_.o seq_.o sleep_.o stty_.o su_.o tee_.o test_.o tty_.o \
uname_.o uptime_.o users_.o who_.o whoami_.o yes_.o : $(ANSI2KNR)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:

maintainer-clean-depend:
	-rm -rf .deps

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).P -c $<

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).p -c $<
	@-sed -e 's/^\([^:]*\)\.o:/\1.lo \1.o:/' \
	  < .deps/$(*F).p > .deps/$(*F).P
	@-rm -f .deps/$(*F).p
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: install-binPROGRAMS install-binSCRIPTS install-exec-local
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-binPROGRAMS uninstall-binSCRIPTS

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(DATADIR)$(bindir) $(DATADIR)$(bindir)


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-krextra mostlyclean-kr mostlyclean-tags \
		mostlyclean-depend mostlyclean-generic

clean:  clean-binPROGRAMS clean-compile clean-krextra clean-kr \
		clean-tags clean-depend clean-generic mostlyclean

distclean:  distclean-binPROGRAMS distclean-compile distclean-krextra \
		distclean-kr distclean-tags distclean-depend \
		distclean-generic clean
	-rm -f config.status

maintainer-clean:  maintainer-clean-binPROGRAMS maintainer-clean-compile \
		maintainer-clean-krextra maintainer-clean-kr \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-krextra distclean-krextra \
clean-krextra maintainer-clean-krextra mostlyclean-kr distclean-kr \
clean-kr maintainer-clean-kr uninstall-binSCRIPTS install-binSCRIPTS \
tags mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir mostlyclean-depend distclean-depend clean-depend \
maintainer-clean-depend info dvi installcheck install-exec install-data \
install uninstall all installdirs mostlyclean-generic distclean-generic \
clean-generic maintainer-clean-generic clean mostlyclean distclean \
maintainer-clean


$(PROGRAMS): ../lib/libsu.a

$(SCRIPTS): Makefile

.sh:
	rm -f $@ $@-t
	sed \
	  -e 's!@''bindir''@!@bindir@!' \
	  -e 's/@''GNU_PACKAGE''@/@GNU_PACKAGE@/' \
	  -e 's/@''VERSION''@/@VERSION@/' $< > $@-t
	chmod +x $@-t
	mv $@-t $@

who.c: who-users.c
	rm -f $@
	echo "#define WHO 1" > $@-t
	cat $(srcdir)/who-users.c >> $@-t && mv $@-t $@ && chmod a-w $@

users.c: who-users.c
	rm -f $@
	echo "#define USERS 1" > $@-t
	cat $(srcdir)/who-users.c >> $@-t && mv $@-t $@ && chmod a-w $@

uptime.c: who-users.c
	rm -f $@
	echo "#define UPTIME 1" > $@-t
	cat $(srcdir)/who-users.c >> $@-t && mv $@-t $@ && chmod a-w $@

install-exec-local: install-binPROGRAMS
	@xsu=`echo su|sed '$(transform)'`; \
	if chown root $(bindir)/$$xsu >/dev/null 2>&1 \
	    && chmod u+s $(bindir)/$$xsu >/dev/null 2>&1 ; then \
	  : ; \
	else \
	  echo "WARNING: insufficient access; not installing su"; \
	  echo "NOTE: to install su, run 'make install-root' as root"; \
	  rm -f $(bindir)/`echo su|sed '$(transform)'`; \
	fi
install-root: su
	$(INSTALL_PROGRAM) su $(installed_su)
	chown root $(installed_su)
	chmod u+s $(installed_su)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
